# Revenue-generating work

## Expert stakes REP to register availability

```mermaid
graph

subgraph EOA
  expert(Expert)

end

subgraph Contracts
  availability(Availability)
end

expert -- 1. Stake ℝ --> availability

```

## Public submits work request with fee

```mermaid
graph

subgraph EOA
  expert(Expert)
  public(Public)
end

subgraph Contracts
  business(Business)
  availability(Availability)
end

public -- 1. Request<br />with fee $ --> business
business -- 2. Assign<br />work --> availability
availability -- 3. Transfer<br />staked ℝ --> business
availability -- 4. TODO Notify --> expert
```

## Expert submits work evidence

```mermaid
graph

subgraph EOA
  expert(Expert)
end

subgraph Contracts
  business(Business)
  forum(Forum)
  pool(Pool)
end

expert -- 1. Work<br />evidence --> business
business -- 2. Post --> forum
business -- 3. Stake ℝ --> pool
```

## Peers validate the work evidence

```mermaid
graph

subgraph EOA
  peers(Peers)
end

subgraph Contracts
  forum(Forum)
  pool(Pool)
end

peers -- 8. Stake ℝ --> pool
pool -- 9. Validate post,<br />Transfer ℝ --> forum
```

## Rewards are distributed

```mermaid
graph

subgraph EOA
  expert(Expert)
  peers(Peers)
end

subgraph Contracts
  pool(Pool)
  business(Business)
  forum(Forum)
end

pool -- Reward ℝ --> peers
forum -- Award ℝ --> expert
forum -- Award ℝ<br />via citation<br />WDAG --> peers
business -- Award % fee $<br />weighted by ℝ--> expert
business -- Award % fee $<br />weighted by ℝ--> peers
```
